Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 646748 - games-action/openclonk-8.1: version bump
Summary: games-action/openclonk-8.1: version bump
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Games
URL: https://blog.openclonk.org/2018/03/op...
Whiteboard:
Keywords:
Depends on:
Blocks: games.eclass
  Show dependency tree
 
Reported: 2018-02-06 10:47 UTC by Julius
Modified: 2018-10-03 18:11 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Updated ebuild, has changes from #588236, needs to have git removed (openclonk8.ebuild.tgz,3.51 KB, application/x-compressed-tar)
2018-02-06 10:47 UTC, Julius
Details
fixed metadata.xml (metadata.xml,1.20 KB, text/xml)
2018-02-07 11:43 UTC, Julius
Details
fixed ebuild (openclonk-8.0.ebuild,2.66 KB, text/plain)
2018-02-07 11:44 UTC, Julius
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Julius 2018-02-06 10:47:37 UTC
Created attachment 518064 [details]
Updated ebuild, has changes from #588236, needs to have git removed

OpenClonk 8 got released, a bump would be nice.

http://blog.openclonk.org/2018/02/openclonk-8-released/

Source tarball (in case the one in the download section isn't up to date yet): https://git.openclonk.org/openclonk.git/archive/openclonk-release-8.0-src.tar.bz2
Comment 1 Jonas Stein gentoo-dev 2018-02-06 22:10:15 UTC
Thank you for your contribution. I had a short look on the ebuild. 
Here a few ideas:

* Please test the ebuild with repoman full -x https://wiki.gentoo.org/wiki/Repoman
* eutils is not needed here since EAPI=6
* KEYWORDS need ~ after a version bump run ekeyword ~all YOUREBUILD
* please fix the header. (see /usr/portage/skel.ebuild and https://devmanual.gentoo.org/ebuild-writing/eapi/)
"# Copyright 1999-2018 Gentoo Foundation"

* fdo-mime is obsolete, please use xdg-utils
* It would be better to attach the single files instead of a compressed file.
Comment 2 Julius 2018-02-07 11:43:12 UTC
Created attachment 518356 [details]
fixed metadata.xml
Comment 3 Julius 2018-02-07 11:44:24 UTC
Created attachment 518358 [details]
fixed ebuild

I made the warnings go away and did what you said, but I'm still not sure that makes this a good ebuild.
Comment 4 Julius 2018-02-09 12:59:57 UTC
Hm, two questions:

1. Is there a nice way to check whether the listed dependencies are really sufficient/necessary? At least gtk3 seems to be unnecessary at this point (It's only used to build the mape tool, which the ebuild doesn't install.)

2. There is extra music available at http://www.openclonk.org/download/Music.ocg, but the license is… odd at best.
"The game Open Clonk ( http://www.openclonk.org/ ) may use and distribute the soundtrack, as long as credit is given. This explicitly includes packaged distributions of the game. In-game videos of Open Clonk and game modifications and extensions based on the Open Clonk file-types (.ocd, .ocs and .ocf) don't require credits." Any way to have this as an extra download, or something?
Comment 5 Julius 2018-03-17 10:35:48 UTC
Small change: It's 8.1 now…
Comment 6 Pacho Ramos gentoo-dev 2018-05-31 17:12:48 UTC
Please use tarball from
https://www.openclonk.org//builds/release/8.1/openclonk-8.1-src.tar.bz2

Instead of using your local git tree

Thanks
Comment 7 Julius 2018-10-03 18:11:08 UTC
I made an overlay for this a while ago… https://github.com/jcaesar/openclonk-overlay
Not sure what to do with this issue now.